Subject: bug#9919: 24.0.91; font-lock broken in dired

From: Stefan Monnier <[email-masked]>
Date: Mon, 09 Jan 2012 20:26:11 -0500

> OK, so Emacs broke it in 23 instead of 24. ;-)  That does not happen
> in Emacs 20-22 AFAICT.  What's the gotcha for Emacs 20-22?  What does
> a user need to do in Emacs 20-22 to show that this code won't DTRT?

AFAIK the example will break your code in any version of Emacs
that supports font-lock.

>> Nothing very deep.  The moment when font-lock-mode gets enabled
>> has changed.  I'm not convinced the new time is really much 
>> better, but I'm not convinced the old time was better either.
> Was that change made in Emacs 23 or 24?

Emacs-24.
The change is to global-font-lock-mode, BTW.

        Stefan